Bug 549624 - Review Request: rubygem-merb-slices - Merb plugin for using and creating application 'slices'
Summary: Review Request: rubygem-merb-slices - Merb plugin for using and creating appl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 549286
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-22 06:28 UTC by Matthew Kent
Modified: 2010-09-11 19:49 UTC (History)
3 users (show)

Fixed In Version: 1.0.15-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-29 10:02:15 UTC
Type: ---
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Matthew Kent 2009-12-22 06:28:45 UTC
Spec URL: http://magoazul.com/wip/SPECS/rubygem-merb-slices.spec
SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-merb-slices-1.0.15-1.fc13.src.rpm
Description: Merb-Slices is a Merb plugin for using and creating application 'slices' which help you modularize your application. Usually these slices are reusable extractions from the main application. A module is set up to serve as a namespace for controller, models, helpers, etc.

Installing this package will provide the capability to run a Merb application slice.

This package contains the slice binary and merb-slice library.

---

For testing purposes I've put a demo application here http://magoazul.com/slice-example.tgz it was created with merb-gen (will be another new package submission) as follows:

merb-gen slice slice-example
cd slice-example

To run it:

wget http://magoazul.com/slice-example.tgz
tar zxvf slice-example.tgz
cd slice-example
slice

To view it:
http://localhost:4000/

---

See Bug 549286 for more information about the background of merb.

Comment 1 Mamoru TASAKA 2010-01-24 17:50:43 UTC
I actually reviewed this ticket but could not find
any blockers.

-----------------------------------------------------------------
    This package (rubygem-merb-slices) is APPROVED by mtasaka
-----------------------------------------------------------------

Comment 2 Matthew Kent 2010-01-26 07:01:45 UTC
New Package CVS Request
=======================
Package Name: rubygem-merb-slices
Short Description: Merb plugin for using and creating application 'slices'
Owners: mkent
Branches: F-11 F-12
InitialCC:

Comment 3 Matthew Kent 2010-01-26 07:02:21 UTC
(In reply to comment #1)
> I actually reviewed this ticket but could not find
> any blockers.
> 
> -----------------------------------------------------------------
>     This package (rubygem-merb-slices) is APPROVED by mtasaka
> -----------------------------------------------------------------    

Oops, forgot to say: thank you for the review!

Comment 4 Jason Tibbitts 2010-01-27 05:19:17 UTC
CVS done (by process-cvs-requests.py).

Comment 5 Fedora Update System 2010-01-29 05:40:06 UTC
rubygem-merb-slices-1.0.15-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rubygem-merb-slices-1.0.15-1.fc12

Comment 6 Fedora Update System 2010-01-29 05:41:51 UTC
rubygem-merb-slices-1.0.15-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rubygem-merb-slices-1.0.15-1.fc11

Comment 7 Mamoru TASAKA 2010-01-29 10:02:15 UTC
Closing.

Comment 8 Fedora Update System 2010-02-01 01:04:38 UTC
rubygem-merb-slices-1.0.15-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-02-01 01:11:08 UTC
rubygem-merb-slices-1.0.15-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Michael Stahnke 2010-09-10 20:20:59 UTC
Package Change Request
======================
Package Name: rubygem-merb-slices
New Branches: el5 el6
Owners: stahnma

mkent is aware of epel requests.

Comment 11 Kevin Fenzi 2010-09-11 19:49:17 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.